<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.9

Copyright (C) 2006-2009  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/


// Vérification des tentatives de hack
$pos=strpos($_SERVER['PHP_SELF'],"inc.php");
if ($pos===FALSE)
	$ok_inc=TRUE;
else
	$ok_inc=FALSE;
if ($ok_inc==FALSE) header("Location: ../index.php");

include_once("../inc/func.inc.php");
include_once("../inc/func_date.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../inc/fic_fici.inc.php");
include_once("../classes/phpmailer/class.phpmailer.php");
include_once("mail.inc.php");
Archivelog(@$_SESSION["code_log"]);

if ((@$_POST['nom'] <> "") AND (@$_POST['desc'] <> "") AND ((@$_POST['td'] == 0) OR (@$_POST['td'] == 1)))
{
	$nom_ficdir = @$_POST['nfic'];
	if ((substr($nom_ficdir, 0, 1) <> '.') AND (substr($nom_ficdir, 0, 2) <> '..') AND (trim($nom_ficdir) <> '.htaccess')) // Contrôle de hack
	{
		$chemin_complet = $url_gfc."/".$nom_ficdir;
		
		$td = @$_POST['td'];
		
		$ren_ok = FALSE;
		
		if ((est_createur_ficdir($chemin_complet,@$_SESSION["code_log"]) == TRUE) OR (@$_SESSION["niv_log"] == 9))
		{
			switch ($td)
			{
				case 0 :
					if (is_dir($chemin_complet))
						$ren_ok = TRUE;
					break;
				case 1 :
					if (is_file($chemin_complet))
						$ren_ok = TRUE;
					break;
				default :
					break;
			}
		}
		else
			$ren_ok=FALSE;

		if ($ren_ok == TRUE)
		{
			$codeuser = @$_SESSION["code_log"];
			$nouv_desc = str_escape(trim(@$_POST['desc']));
			$nouv_detail = str_escape(trim(@$_POST['detail']));

			$id=donne_id_fic($chemin_complet);
			if ($id<>-1)
			{
				$row=lit_enr_ficid($id);
				if (is_array($row))
					extract($row);
				$rech = "UPDATE `".TBFIC."`";
				$rech.= " SET `fic_nom`='".$fic_nom."', `fic_type`='".$fic_type."', `fic_desc`='".$nouv_desc."', `fic_detail`='".$nouv_detail."', `fic_datecrea`='".$datea."', `fic_codecrea`='".$codeuser."', `fic_nbtel`='".$fic_nbtel."'";
				$rech.= "  WHERE `fic_nom` = '".$fic_nom."'";
			}
			else
			{
				$rech = "INSERT INTO " .TBFIC;
				$rech .= " (fic_nom,fic_type,fic_desc,fic_detail,fic_datecrea,fic_codecrea,fic_nbtel) VALUES";
				$rech .= " ('$chemin_complet','$td','$nouv_desc','$nouv_detail','$datea','$codeuser','')";
			}
			$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
			mysql_select_db(DBNAME);
			$rs = mysql_query($rech) or die(mysql_error());
			mysql_close($conn);

			$msg = "Nom complet et d&eacute;tail modifi&eacute;s";
			$retourliste = TRUE;
		}
		else
		{
			$msg = "Impossible de renommer ce fichier/r&eacute;pertoire.";
			$retourliste = FALSE;
		}
	}
	else
	{
		$msg = "Nom de r&eacute;pertoire incorrect";
		$retourliste = FALSE;
	}
}
else
{
	$msg = "Probl&egrave;me dans vos variables URL.";
	$retourliste = FALSE;
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SMI - <?PHP echo $title_esp_prive; ?> :  Nommage fichier/r&eacute;pertoire</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->

<script language="JavaScript" src="../jscript/coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour fenêtres -->
<script language="JavaScript" src="../jscript/fen.js"></script>

</head>
<body>

<p align="center"> <span class="titrepage">NOMMAGE FICHIER/REPERTOIRE</span></p>
<p align="center">&nbsp;</p>
<p align="center">
<?PHP if ($retourliste==FALSE)
	echo '<span class="alerte1">';
else
	echo '<span class="annot_std_gras">';
?>
<?PHP echo $msg ?>
</span>
</p>

<?PHP
if ($retourliste == TRUE)
{
?>
	<p align="center" class="annot_std_it"><?PHP echo $txt_lnk_ret_liste.", ".$txt_patience; ?></p>
	<!-- Fermeture temporisée -->
	<script type="text/javascript">
	<!--
		window.opener.location.reload();
		setTimeout("self.close('fscomp');",2000)
	//-->
	</script>
<?PHP
}
else
{
?>
	<p align="center" class="annot_std_it"><?PHP echo $txt_lnk_ret_liste.", ".$txt_patience; ?></p>
	<!-- Fermeture temporisée -->
	<script type="text/javascript">
	<!--
		window.opener.location.reload();
		setTimeout("self.close('fscomp');",2000)
	//-->
	</script>
<?PHP
}
?>
<p align="center"><?PHP echo $txt_div_sinon; ?>, <a href="javascript:void(0)" onClick="javascript:; window.opener.location.reload(); self.close('fscomp');"><?PHP echo $txt_lnk_clic_ici; ?></a> </p>
</body>
</html>
